Skip to main content
GET
/
api
/
account
/
list
cURL
curl --request GET \
  --url https://api.production.hyperoru.com/api/account/list \
  --header 'Authorization: Bearer <token>'
[
  {
    "account_type": "<string>",
    "current_cash": 123,
    "frozen_cash": 123,
    "hyperliquid_enabled": true,
    "id": 123,
    "initial_capital": 123,
    "is_active": true,
    "name": "<string>",
    "show_on_dashboard": true,
    "user_id": 123,
    "avatar_preset_id": 123,
    "base_url": "<string>",
    "default_leverage": 123,
    "hyperliquid_environment": "<string>",
    "max_leverage": 123,
    "model": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Response

List all accounts

account_type
string
required
current_cash
number<double>
required
frozen_cash
number<double>
required
hyperliquid_enabled
boolean
required
id
integer<int32>
required
initial_capital
number<double>
required
is_active
boolean
required
name
string
required
show_on_dashboard
boolean
required
user_id
integer<int32>
required
avatar_preset_id
integer<int32> | null
base_url
string | null
default_leverage
integer<int32> | null
hyperliquid_environment
string | null
max_leverage
integer<int32> | null
model
string | null